Jre20Compat (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.tomcat.util.compat, class: Jre20Compat

# Class Jre20Compat

java.lang.Object
org.apache.tomcat.util.compat.JreCompat
org.apache.tomcat.util.compat.Jre12Compat
org.apache.tomcat.util.compat.Jre19Compat
org.apache.tomcat.util.compat.Jre20Compat

Direct Known Subclasses:
  `Jre21Compat`

public class Jre20Compat extends Jre19Compat

- ## Field Summary

  ### Fields inherited from class JreCompat

  `canonCachesDisabled, canonCachesDisabledLock, USE_CANON_CACHES_CMD_ARG, useCanonCachesField, useCanonCachesFieldLock`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jre20Compat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SocketAddress`
  `getUnixDomainSocketAddress(String path)`
  Return Unix domain socket address for given path.
  `ServerSocketChannel`
  `openUnixDomainServerSocketChannel()`
  Create server socket channel using the Unix domain socket ProtocolFamily.
  `SocketChannel`
  `openUnixDomainSocketChannel()`
  Create socket channel using the Unix domain socket ProtocolFamily.
  `void`
  `setNamedGroupsMethod(Object sslParameters, String[] names)`
  TLS groups configuration from JSSE API in Java 20.

  ### Methods inherited from class Jre19Compat

  `getExecutor`

  ### Methods inherited from class Jre12Compat

  `ensureUseCanonCachesFieldIsPopulated, isCanonCachesDisabled`

  ### Methods inherited from class JreCompat

  `callAs, createVirtualThreadBuilder, disableCanonCaches, getInstance, isGraalAvailable, isJre12Available, isJre16Available, isJre19Available, isJre20Available, isJre21Available, isJre22Available, threadBuilderStart`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Jre20Compat

    public Jre20Compat()

- ## Method Details

  - ### setNamedGroupsMethod

    public void setNamedGroupsMethod(Object sslParameters, String[] names)
    Description copied from class: `JreCompat`
    TLS groups configuration from JSSE API in Java 20.
    Overrides:
      `setNamedGroupsMethod` in class `JreCompat`
    Parameters:
      `sslParameters` - the parameters object
      `names` - the names of the groups to enable

  - ### getUnixDomainSocketAddress

    public SocketAddress getUnixDomainSocketAddress(String path)
    Description copied from class: `JreCompat`
    Return Unix domain socket address for given path.
    Overrides:
      `getUnixDomainSocketAddress` in class `JreCompat`
    Parameters:
      `path` - The path
    Returns:
      the socket address

  - ### openUnixDomainServerSocketChannel

    public ServerSocketChannel openUnixDomainServerSocketChannel()
    Description copied from class: `JreCompat`
    Create server socket channel using the Unix domain socket ProtocolFamily.
    Overrides:
      `openUnixDomainServerSocketChannel` in class `JreCompat`
    Returns:
      the server socket channel

  - ### openUnixDomainSocketChannel

    public SocketChannel openUnixDomainSocketChannel()
    Description copied from class: `JreCompat`
    Create socket channel using the Unix domain socket ProtocolFamily.
    Overrides:
      `openUnixDomainSocketChannel` in class `JreCompat`
    Returns:
      the socket channel